/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.appcompat.testutils;

public final class LoremIpsum {
    private LoremIpsum() {
    }

    /**
     * Our data, part 1.
     */
    public static final String[] TITLES = {
            "Paragraph I",
            "Paragraph II",
            "Paragraph III",
            "Paragraph IV",
            "Paragraph V",
            "Paragraph VI",
            "Paragraph VII",
            "Paragraph VIII"
    };

    /**
     * Our data, part 2.
     */
    public static final String[] DIALOGUE = {

            "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus condimentum"
                    + " rhoncus est volutpat venenatis. Fusce semper, sapien ut venenatis"
                    + " pellentesque, lorem dui aliquam sapien, non pharetra diam neque "
                    + "id mi. Suspendisse sollicitudin, metus ut gravida semper, nunc "
                    + "ipsum ullamcorper nunc, ut maximus nulla nunc dignissim justo. "
                    + "Duis nec nisi leo. Proin tristique massa mi, imperdiet tempus nibh"
                    + " vulputate quis. Morbi sagittis eget neque sagittis egestas. "
                    + "Quisque viverra arcu a cursus dignissim.",

            "In aliquam, mi ut laoreet varius, ex ante posuere justo, eget aliquam magna "
                    + "metus id purus. Aenean convallis sem ac purus bibendum, sit amet "
                    + "mattis augue fermentum. Quisque cursus posuere mi, vitae "
                    + "vestibulum purus egestas eget. Nunc eu sagittis est, at elementum "
                    + "leo. Pellentesque habitant morbi tristique senectus et netus et "
                    + "malesuada fames ac turpis egestas. Nulla interdum lacus a turpis "
                    + "maximus, scelerisque aliquam magna ultricies. Aliquam erat "
                    + "volutpat. Mauris eget tellus sed velit aliquet venenatis ut nec "
                    + "eros. Nulla facilisi. Sed posuere nisi quis felis varius, ut "
                    + "maximus elit placerat. Sed vulputate quam augue, ac lacinia diam "
                    + "ullamcorper at.",

            "Fusce efficitur fermentum mi, sed imperdiet ipsum dignissim eu. Nam semper "
                    + "quis ex eget iaculis. In a diam dolor. Integer fermentum in arcu "
                    + "commodo tempus. Phasellus ultricies gravida ante ac tristique. "
                    + "Vestibulum volutpat id neque a porttitor. Donec ullamcorper sed "
                    + "augue eget efficitur. Ut vitae aliquet lorem, quis ultrices neque."
                    + " Fusce blandit ac mauris vel porttitor. Pellentesque eget ultrices"
                    + " augue. Pellentesque tempor maximus nunc sit amet ullamcorper.",

            "Nulla non vehicula magna. In eget condimentum nisi, sit amet auctor purus. "
                    + "Proin venenatis lorem non mattis interdum. Aenean metus leo, "
                    + "lobortis non auctor eget, bibendum at mi. Aenean mauris est, "
                    + "convallis efficitur molestie et, suscipit in dolor. Duis eget "
                    + "volutpat est. Fusce id maximus arcu, et tincidunt purus. In "
                    + "efficitur volutpat est nec eleifend. Proin malesuada pharetra "
                    + "mattis.",

            "Donec sed arcu sit amet nisi vulputate ornare. Integer accumsan ullamcorper "
                    + "mauris, eget semper ipsum. Suspendisse sagittis pellentesque "
                    + "molestie. Duis at venenatis erat. Quisque congue turpis id erat "
                    + "egestas pellentesque. Nulla fermentum ac massa nec sollicitudin. "
                    + "Fusce sed ultrices tellus.",

            "Duis et enim est. Nunc condimentum felis nec porta finibus. Sed ac justo sit"
                    + " amet urna dictum finibus. Maecenas sapien tellus, rhoncus et "
                    + "viverra rutrum, auctor quis erat. Proin condimentum nulla quam, eu"
                    + " pretium magna egestas sit amet. Sed luctus lorem quis erat "
                    + "hendrerit, vitae rutrum diam congue. Sed ipsum tellus, faucibus "
                    + "vel molestie non, pharetra sit amet dolor. Nullam nec consequat "
                    + "sem, quis ullamcorper nunc. Integer odio ligula, pretium quis "
                    + "volutpat quis, bibendum sit amet turpis. Sed ut consequat velit, "
                    + "quis congue neque.",

            "Duis gravida sapien non leo tempor consequat. Maecenas congue nisl posuere, "
                    + "tristique nulla vel, dictum dui. In scelerisque neque at "
                    + "pellentesque dignissim. Cras dapibus elit sit amet varius aliquam."
                    + " Phasellus sit amet viverra tortor. Quisque eget risus vitae diam "
                    + "efficitur ornare at id tortor. Etiam ut ligula metus. In fermentum"
                    + " semper efficitur. Nunc pretium consectetur commodo. Donec quis "
                    + "magna libero. Ut sit amet eros eget massa ullamcorper facilisis.",

            "Fusce commodo faucibus pellentesque. Sed vitae massa leo. Maecenas porta "
                    + "mattis sapien sollicitudin rutrum. Nunc sed ullamcorper elit, quis"
                    + " placerat lectus. Nulla feugiat nec augue in congue. Proin et "
                    + "turpis vel dui accumsan dictum. Maecenas consectetur a lorem vel "
                    + "pellentesque. Sed ac arcu at tortor tincidunt euismod. Nunc "
                    + "dapibus viverra mi non tincidunt. Proin pretium, leo eu volutpat "
                    + "facilisis, magna nunc dapibus dui, id finibus mi massa et felis."
    };
}
